/// <reference types="node" />
import { IncomingMessage, ServerResponse } from "http";
import { ParsedUrlQuery } from "querystring";
export declare type ErrorRenderer = (err: any, req: IncomingMessage, res: ServerResponse, pathname: any, query?: any) => Promise<void>;
export declare type ErrorHandler = (err: any, req: IncomingMessage, res: ServerResponse, pathname: any, query: ParsedUrlQuery) => Promise<any>;
export interface ErrorResponse {
    name?: string;
    message?: string;
    stack?: any;
    statusCode?: number;
}
//# sourceMappingURL=error.interface.d.ts.map