/// <reference types="node" />
import { IncomingMessage, ServerResponse } from "http";
import { ParsedUrlQuery } from "querystring";
export declare type RequestHandler = (req: any, res: any, query?: any) => Promise<void>;
export declare type Renderer<DataType extends unknown = ParsedUrlQuery> = (req: IncomingMessage, res: ServerResponse, view: string, params?: DataType) => Promise<void>;
export interface RenderableResponse<DataType extends unknown = ParsedUrlQuery> {
    render(view: string, data?: DataType): ReturnType<Renderer<DataType>>;
}
//# sourceMappingURL=http.interface.d.ts.map