import { DynamicModule, OnModuleInit } from "@nestjs/common";
import { HttpAdapterHost } from "@nestjs/core";
import { AbstractLoader } from "./helpers";
import { NesxtConfig } from "./interfaces";
export declare class NesxtModule implements OnModuleInit {
    private readonly ngOptions;
    private readonly loader;
    private readonly httpAdapterHost;
    constructor(ngOptions: NesxtConfig, loader: AbstractLoader, httpAdapterHost: HttpAdapterHost);
    static forRootAsync(options?: Partial<NesxtConfig>): Promise<DynamicModule>;
    onModuleInit(): Promise<void>;
}
//# sourceMappingURL=nesxt.module.d.ts.map